Bug 240811 - x11/xfce4-screensaver: Has same names as other screensaver applications in XFCE Settings Autostart GUI
Summary: x11/xfce4-screensaver: Has same names as other screensaver applications in XF...
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-xfce mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-25 11:27 UTC by John
Modified: 2019-09-30 13:31 UTC (History)
2 users (show)

See Also:
madpilot: maintainer-feedback+


Attachments
CLI output XFCE startup configuration files and contents of two different screensaver applications in xfce4 autostart configuration (15.14 KB, text/plain)
2019-09-25 11:27 UTC, John
no flags Details
File manager view showing identical file names for two different screensaver applications (122.87 KB, image/png)
2019-09-25 11:28 UTC, John
no flags Details
XFCE4 Settings Autostart Showing two different screensavers with exact same entry names (111.45 KB, image/png)
2019-09-25 11:50 UTC, John
no flags Details
Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver (1.18 KB, patch)
2019-09-26 01:26 UTC, John
no flags Details | Diff
Example of XFCE4 Settings Autostart GUI with proposed patch changes to show xscreensaver as unique application (111.96 KB, image/png)
2019-09-26 01:28 UTC, John
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John 2019-09-25 11:27:06 UTC
Created attachment 207795 [details]
CLI output XFCE startup configuration files and contents of two different screensaver applications in xfce4 autostart configuration

CLI output XFCE startup configuration files and contents of two different screensaver applications in xfce4 autostart configuration

While investigating bug #240804 discovered that the xfce names for xscreensaver and xfce-screensaver have same file manager names, "screensaver" and same entry names for XFCE4 Autostart, "Screensaver (Launch screensaver and locker program).", making it impossible to determine which application a user wants to enable or disable.

This discovery is result of a FreeBSD pkg upgrade done 20190925 that caused bug #240804 to occur.

It would see reasonable that both the associated file manager name and XFCE4 Startup entries should be unique and identifiable to the application variant and not be the same names thereby causing user and even very technical user confusion.
Comment 1 John 2019-09-25 11:28:12 UTC
Created attachment 207796 [details]
File manager view showing identical file names for two different screensaver applications

File manager view showing identical file names for two different screensaver applications

File manger shows identical file names of "screensaver" for two very different screen saver applications.
Comment 2 John 2019-09-25 11:50:14 UTC
Created attachment 207799 [details]
XFCE4 Settings Autostart Showing two different screensavers with exact same entry names

XFCE4 Settings Autostart Showing two different screensavers with exact same entry names

XFCE4 Settings Autostart showing two different screensaver applications (xscreensaver and xfce4-screensaver) with the exact same entry names of "Screensaver (Launch screensaver and locker program)."
Comment 3 John 2019-09-25 11:52:54 UTC
Related to bug #240810.
Comment 4 John 2019-09-25 11:53:56 UTC
(In reply to John from comment #3)
Also see bug #240810 for related issue for x11/xscreensaver.
Comment 5 John 2019-09-25 13:19:49 UTC
I have a tested solution to this issue.  I need to have a meal and then long overdue sleep from being up unexpectedly due to a number the bug issues I opened in last few hours and completely unrelated bugs I have encountered while working on the bugs overnight.
Comment 6 Guido Falsi freebsd_committer 2019-09-25 15:40:08 UTC
Thanks for finding the relevant .desktop files.

I have not investigated but it looks like modifying one of those would be enough to fix the issue.
Comment 7 Guido Falsi freebsd_committer 2019-09-25 16:12:47 UTC
(In reply to Guido Falsi from comment #6)

> I have not investigated but it looks like modifying one of those would be enough to fix the issue.

Ok, changing the description is not so easy since we also have the translations to account for.

The two packages belong to the xfce4-session-4.14.0 (xscreensaver one) and xfce4-screensaver-0.1.8 (it's own one) packages.

I've filed a bug upstream to change the name in the desktop file. Can be found here:

https://bugzilla.xfce.org/show_bug.cgi?id=15991

But this will need to be translated if accepted and this could require some time.

In the while I'm evaluating also reverting the default back to xscreensaver.

We also need to find out why they happen to be both enabled by default.
Comment 8 John 2019-09-26 00:14:11 UTC
If I understand correctly some xfce4 package is responsible for the the install and configuration of the .desktop files placed and setup for xfce4-screensaver.  Do you know what that XFCE4 package name is?
Comment 9 John 2019-09-26 00:32:04 UTC
If I understand correctly some xfce4 package is responsible for the the install and configuration of the .desktop files placed in XFCE autostart and setup for xfce4-screensaver autostart.  Do you know what that XFCE4 package name is?
Comment 10 John 2019-09-26 01:26:12 UTC
Created attachment 207826 [details]
Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xscreensaver

Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xfce4-screensaver

Basic Proposed approach for patch of the XFCE4 .desktop Autostart file for xfce4-screensaver

This is a proposed framework patch for the xfce4-screensaver.desktop file used for the XFCE autostart.  The changes made were only for English translations. The proposed changes will clearly identify xfce4-screensaver as unique applications in the XFCE4 Settings Autostart GUI.  The suggested changes are:

Name=xfce4Screensaver
Comment=Launch ONLY ONE screensaver and locker program
Icon=preferences-desktop-xfce4Screensaver

The proposed changes above would then be translated to the same or as similar as can be of the above English changes.  I assume the XFCE project team would be responsible to effect the proposed changes above for all translations.
Comment 11 John 2019-09-26 01:28:41 UTC
Created attachment 207827 [details]
Example of XFCE4 Settings Autostart GUI with proposed patch changes to show xscreensaver as unique application

Example of XFCE4 Setting Autostart GUI with proposed patch changes to show xfce4-screensaver as unique application

This is example of how the proposed patch for the xfce4-screensaver.desktop XFCE4 autostart file would look and show as a unique application in the XFCE4 Autostart GUI.
Comment 12 John 2019-09-26 01:46:29 UTC
(In reply to Guido Falsi from comment #7)
See bug #240810 and bug #240811 for the proposed changes for the Settings Autostart .desktop files.

I would suggest you add comment for the upstream change in names to #240810 and bug #240811 and add references to #240810 and bug #240811 in the upstream xfce.org bug you created.

Can you clarify for me my understanding that the xscreensaver.desktop file for the XFCE autostart is in xfce4-session-4.14.0 and the xfce-screensaver.desktop file for XFCE autostart is in the xfce4-screensaver-0.1.8?

Let me do some more testing.  I only had time before I went to bed this morning after up all night working on these and couple other FreeBSD bugs to test xscreensaver and afce4-screensaver on their own only after I made copies of the original two respective .desktop files for XFCE autostart before I could do any useful testing to know which of two screensaver applications was enabled.

As you suspected if only xscreensaver or xfce4-screensaver is enabled all worked fine.  I have not had time yet to try with both enabled again.  As you know it requires rebooting and i have had much to do in updating these bugs, doing various eMails, and trying to get some sleep after being up all night wit various FreeBSD update issues that included causing CPU thermal shutdowns.

I will update the bug once I have had right time to test both screensavers enabled again to see if that causes the original issue or not.  I may have to do an additional test to with the original .desktop files and the restore the fixes I made and having only one screensaver application enabled n XFCE4 Settings Autostart.
Comment 13 Guido Falsi freebsd_committer 2019-09-26 08:03:11 UTC
I'm leaving this bug open, since it's relevant to xfce, but please let's keep all the conversation about this issue in bug #240804.

The issue is described there, and the description thing is a marginal detail of THAT issue.

Following comments about same issue in 3 bug reports is very confusing for me.
Comment 14 commit-hook freebsd_committer 2019-09-27 09:01:19 UTC
A commit references this bug:

Author: madpilot
Date: Fri Sep 27 09:00:35 UTC 2019
New revision: 513008
URL: https://svnweb.freebsd.org/changeset/ports/513008

Log:
  - Make xfce4-session install the xscreensaver.desktop session startup
    file disabled by default
  - Modify name of program in .desktop file for xfce4-screensaver,
    so that the UI does not show two identical lines when both it and
    xscreensaver are installed
  - Add UPDATING note and update xfce4-session pkg-message to explain
    the issue to users

  PR:		240804, 240810, 240811
  Submitted by:	John <jlmales@gmail.com>

Changes:
  head/UPDATING
  head/x11/xfce4-screensaver/Makefile
  head/x11-wm/xfce4-session/Makefile
  head/x11-wm/xfce4-session/files/patch-scripts_xscreensaver.desktop.in
  head/x11-wm/xfce4-session/files/pkg-message.in
Comment 15 Guido Falsi freebsd_committer 2019-09-27 09:04:00 UTC
Since my last commit does change the description for this port in the XFCE UI I'm closing this bug as fixed. Now the two description do differ.

I agree this is not optimal, but to change the description and have it correctly translated we need to wait for XFCE to release a new version of the port including the change.

I did report the issue upstream, the bug report is linked in the URL field.
Comment 16 John 2019-09-29 02:07:42 UTC
Reopened the bug as this issue is different and separate from bug #240804 and should not be closed until the upstream fix is in place.  An interim workaround fix is not a fix.
Comment 17 John 2019-09-29 02:23:07 UTC
In bug #240804 re: <https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240804#c10> "Please don't rush things.

"Please let's keep the conversation in one place only. This is one bug. with two strictly related problems."

First the three bugs (bug #240804, bug #240810, and this bug #240811) is not because of some feeling of rush needed.  That is implied in the bug classification of scope of users affected.

Bug #240804 is not the same issue as this bug firstly.  Secondly in order to address bug #240804 in a reasonable manner this bug #240811 and bug #240810 need to be addressed first and strictly speaking are not the cause of bug $240804.  Even if both bug #240810 and bug #240811 had unique names for the XFCE Setting Autostart GUI and the file manager views would not prevent bug #240804 from occurring.  This issue is strictly about a user not knowing what screensaver is enabled and/or if there are duplicate entries for the exact same screensaver in the XFCE4 Settings Autostart GUI and file manager views.  This bug is not about nor is same as bug #240804.  Hence a this bug was created not because I like writing bug reports, but because it is a different issue that means it needs a different bug report.

Before bug #240804 can be addressed this bug and bug #240810 need to be addressed first.  This is so the different applications of same type have some manner of allowing XFCE project of knowing so and in what manner XFCE will identify such same/similar applications that will allow XFCE to decide how to address the issue of bug #240804.

This also means the proposed patch I submitted <https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240811#c10> was just that, a proposed patch aware and noting there are other translations besides English that need to be addressed by XFCE.  The proposed patch also was proposed knowing the proposed wording changes in the proposed patch may be different due to how XFCE decides.  That means the proposed patch was just that proposed patch knowing that the finial decision would be per the upstream XFCE project.   This is why I made it clear this was a proposed patch and that the proposed patch clearly needed other translations to be effected to be a finial fix patch knowing that the upstream project is responsible for a complete patch of the xfce4-screensaver.desktop file.
Comment 18 John 2019-09-29 02:24:19 UTC
This bug should remain open until the upstream project has created an acceptable fix to this bug.  Sadly the way this FreeBSD bugzilla is configured thereis only an Open or Closed status for the bug.  There is no status for awaiting upstream fix which is what the real status of this bug should be.  Therefor in lieu of no awaiting for upstream fix this bug should remain open.
Comment 19 John 2019-09-29 02:25:22 UTC
I had crossed referenced this bug to bug #240810 and bug #240804 on purpose to indicate there is some relationships between this and the other bugs.  This was done on purpose to show the relationship of these different bugs.  That was not meant to imply these different bugs should be consolidated into one bug re <https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240804#c12> "This is one bug. with two strictly related problems."